Subject: bug#2172: ico bug on Windows

From: Jason Rumney <[email-masked]>
Date: Sun, 08 Feb 2009 17:10:38 +0900

Chong Yidong wrote:
> Jason, would it be possible for you to try changing the .ico file, along
> the lines described by David, so that the MS compiler is happy with it?
> Normally we should not go out of our way to accomodate MS Visual studio,
> but this seems to be a moderately easy fix.
>   

I don't think providing an inferior icon is a good fix just for the one 
or two people who still compile Emacs with outdated proprietary compilers.

> If you can't fix this and/or would prefer to drop support for MSVS
> instead, could you please update nt/INSTALL and etc/PROBLEMS with the
> information in this bug report?  Thanks.

I've already detailed the workarounds in etc/PROBLEMS.